curl --request POST \
--url https://api.fabric.inc/v3/lists/{listId}/actions/delete-list-items \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-fabric-channel-id: <x-fabric-channel-id>' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
--data '
{
"items": [
{
"itemId": 123,
"sku": "sku1"
}
]
}
'import requests
url = "https://api.fabric.inc/v3/lists/{listId}/actions/delete-list-items"
payload = { "items": [
{
"itemId": 123,
"sku": "sku1"
}
] }
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"x-fabric-channel-id": "<x-fabric-channel-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-fabric-tenant-id': '<x-fabric-tenant-id>',
'x-fabric-channel-id': '<x-fabric-channel-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({items: [{itemId: 123, sku: 'sku1'}]})
};
fetch('https://api.fabric.inc/v3/lists/{listId}/actions/delete-list-items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"listId": "62fa3796841ea417fa71d2a9",
"sku": "sku1",
"attributes": {
"key": "value"
},
"createdAt": "2022-11-22T10:26:38Z",
"itemId": 123,
"quantity": 1,
"updatedAt": "2022-11-22T10:26:38Z"
}
],
"errors": [
{
"message": "SKU does not exist for user ID",
"type": "NOT_FOUND"
}
]
}{
"message": "SKU does not exist for user ID 179089.",
"type": "NOT_FOUND"
}{
"errors": [
{
"message": "Invalid request",
"type": "CLIENT_ERROR"
}
],
"message": "Bad request",
"type": "CLIENT_ERROR"
}{
"message": "Unauthorized request",
"type": "CLIENT_ERROR"
}{
"message": "Object not found",
"type": "CLIENT_ERROR"
}{
"message": "Internal server error",
"type": "SERVER_ERROR"
}Delete items from shopping list
Over time, shoppers’ preferences may change, or they might have added an item to their shopping list by mistake.
This endpoint lets your shopper remove one or more products from the specified shopping list.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
A header used by fabric to identify the tenant making the request. You must include tenant id in the authentication header for an API request to access any of fabric’s endpoints. You can retrieve the tenant id , which is also called account id, from Copilot. This header is required.
x-fabric-channel-id identifies the sales channel where the API request is being made; primarily for multichannel use cases. The channel ids are 12 corresponding to US and 13 corresponding to Canada. The default channel id is 12. This field is required.
Unique request ID
Path Parameters
24-character system-generated shopping list ID returned in the response of Create list endpoint - POST /lists
Body
Request to delete list
1 - 100 elementsShow child attributes
Show child attributes
Was this page helpful?
